Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4531 - execution of perl cgi fails : (2)No such file or directory
Summary: execution of perl cgi fails : (2)No such file or directory
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-15 14:03 UTC by leolize.it
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 15:35:14 UTC


Attachments (Terms of Use)

Description leolize.it 1999-08-15 14:03:09 UTC
perl cgi-scripts won't work at the apache server with the
standard redhat 6.0 configuration files. The configuration
files have been changed according to the manuals.

I get an "internal server error" (which is 500) when I
access a .cgi file in my cgi-bin from a web browser.

in the error_log two entries show up:
[Fri Aug 13 23:49:27 1999] [error] (2)No such file or
directory: exec of /home/httpd/cgi-bin/hello.cgi failed

[Fri Aug 13 23:49:27 1999] [error] [client 192.168.1.1]
Premature end of script header

Of course the file does exists and access to the apache
user is given. The location of perl in the first line of
the script is correct, too ....

Comment 1 Preston Brown 1999-08-23 14:53:59 UTC
we can't duplicate this problem here.  What is the first line of your
cgi script?  Does your script have the execute bit set?

Comment 2 Preston Brown 1999-08-27 15:35:59 UTC
no additional feedback, and it works here.  Assume user configuration
error, or the cgi script was not executable, or the path to perl in
the script was specified incorrectly.


Note You need to log in before you can comment on or make changes to this bug.